// NOTE: REMEMBER TO CHANGE THE PATH TO THE FILES!!!

run("Duplicate...", " ");
run("Gaussian Blur...", "sigma=2");

//run("Threshold...");
setAutoThreshold("Otsu dark");
setOption("BlackBackground", true);
run("Convert to Mask");

saveAs("Tiff", "/Users/fdrgsp/Desktop/out/DAPI_wf_0_mask.tif");

run("Set Measurements...", "area mean display redirect=None decimal=3");

run("Analyze Particles...", "exclude clear add");

roiManager("Deselect");
roiManager("Save", "/Users/fdrgsp/Desktop/out/DAPI_wf_0_roi.zip");

selectWindow("DAPI_wf_0.tif");
roiManager("Deselect");
roiManager("Measure");
saveAs("Results", "/Users/fdrgsp/Desktop/out/DAPI_wf_0_results.csv");

close("*");
close("Results");
close("ROI Manager");
