// NOTE: REMEMBER TO CHANGE THE PATH TO THE FILES!!!

output_directory = "/Users/fdrgsp/Desktop/out/" // variable

gauss_sigma = 2 // variable

title = getTitle(); // variable
selectWindow(title);
print(title);

title_no_ext = File.nameWithoutExtension; // variable
print(title_no_ext);

run("Duplicate...", " ");
run("Gaussian Blur...", "sigma=" + gauss_sigma);

//run("Threshold...");
setAutoThreshold("Otsu dark");
setOption("BlackBackground", true);
run("Convert to Mask");

saveAs("Tiff", output_directory + title_no_ext + "_mask.tif");

run("Set Measurements...", "area mean display redirect=None decimal=3");

// after saving with a new name, the window chnages name
selectWindow(title_no_ext + "_mask.tif");

run("Analyze Particles...", "exclude clear add");

roiManager("Deselect");
roiManager("Save", output_directory + title_no_ext + "_roi.zip");

selectWindow(title);
roiManager("Deselect");
roiManager("Measure");
saveAs("Results", output_directory + title_no_ext + "_results.csv");

close("*");
close("Results");
close("ROI Manager");
